.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptEmitSignal.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptEmitSignal:

VisualScriptEmitSignal
======================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

A Visual Script node which emits a specified signal.

Member Functions
----------------

+------------------------------+-----------------------------------------------------------------------------------------------------------+
| :ref:`String<class_string>`  | :ref:`get_signal<class_VisualScriptEmitSignal_get_signal>`  **(** **)** const                             |
+------------------------------+-----------------------------------------------------------------------------------------------------------+
| void                         | :ref:`set_signal<class_VisualScriptEmitSignal_set_signal>`  **(** :ref:`String<class_string>` name  **)** |
+------------------------------+-----------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`String<class_string>` **signal** - The signal to emit.

Description
-----------

A Visual Script node which emits a specified signal when it is executed.

Member Function Description
---------------------------

.. _class_VisualScriptEmitSignal_get_signal:

- :ref:`String<class_string>`  **get_signal**  **(** **)** const

.. _class_VisualScriptEmitSignal_set_signal:

- void  **set_signal**  **(** :ref:`String<class_string>` name  **)**


